VMTKBIFURCATIONREFERENCESYSTEMS(1)

NAME
vmtkbifurcationreferencesystems - vmtk script vmtkbifurcationreferencesystems

DESCRIPTION
Automatic piping vmtkbifurcationreferencesystems Parsing options vmtkbifurcationreferencesystems

vmtkbifurcationreferencesystems : compute reference systems for each

    bifurcation of a tree. The script takes in input the centerlines already split into branches.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input split centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: the name of the array where centerline radius values are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: the

    name of the array where centerline blanking information about branches is stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: the

    name of the array where centerline group ids are stored

-normalarray ReferenceSystemsNormalArrayName (str,1);

    default=Normal: the name of the array where reference system plane normals have to be stored

-upnormalarray ReferenceSystemsUpNormalArrayName (str,1);

    default=UpNormal: the name of the array where reference system upnormals have to be stored

-ofile ReferenceSystemsOutputFileName (str,1): filename for the

    default ReferenceSystems writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ReferenceSystems (vtkPolyData,1): the output reference systems,

    given as points coinciding with the origins

-normalarray ReferenceSystemsNormalArrayName (str,1);

    default=Normal: the name of the array where reference system plane normals are stored

-upnormalarray ReferenceSystemsUpNormalArrayName (str,1);

    default=UpNormal: the name of the array where reference system upnormals are stored